com.sun.grid.jsv

## Class TaskSpecifier

- java.lang.Object
- - com.sun.grid.jsv.TaskSpecifier

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public final class TaskSpecifier
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  The TaskSpecifier class represents an array task specification for a job. It defines the minimum and maximum values in the task identifier range as well as the incremental step value. By default, the minimum, maximum, and step values are set to 1.
  Since:
    6.2u5
  See Also:
    `JobDescription.getTaskSpecifier()`, `JobDescription.setTaskSpecifier(com.sun.grid.jsv.TaskSpecifier)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskSpecifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskSpecifier` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getMax()` Get the maximum value of the array task id range.
    `int` | `getMin()` Get the minimum value of the array task id range.
    `int` | `getStep()` Get the incremental step value for the array task id range.
    `int` | `hashCode()`
    `void` | `setMax(int max)` Set the maximum value of the array task id range.
    `void` | `setMin(int min)` Set the minimum value of the array task id range.
    `void` | `setRange(int min, int max)` Set the minimum and maximum values of the array task id range.
    `void` | `setRange(int min, int max, int step)` Set the minimum and maximum values of the array task id range as well as the incremental step value.
    `void` | `setStep(int step)` Set the incremental step value of the array task id range.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskSpecifier

          public TaskSpecifier()

  - ### Method Detail

    - #### getMin

          public int getMin()

      Get the minimum value of the array task id range.
      Returns:
        the minimum range value

    - #### getMax

          public int getMax()

      Get the maximum value of the array task id range.
      Returns:
        the maximum range value

    - #### getStep

          public int getStep()

      Get the incremental step value for the array task id range.
      Returns:
        the step value

    - #### setMin

          public void setMin(int min)

      Set the minimum value of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown.
      Parameters:
        `min` - the minimum range value

    - #### setMax

          public void setMax(int max)

      Set the maximum value of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown.
      Parameters:
        `max` - the maximum range value

    - #### setStep

          public void setStep(int step)

      Set the incremental step value of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown.
      Parameters:
        `step` - the incremental step value

    - #### setRange

          public void setRange(int min,
                               int max)

      Set the minimum and maximum values of the array task id range. Values less than 1 will cause an IllegalArgumentException to be thrown, as will a maximum range value that is less than the minimum range value.
      Parameters:
        `min` - the minimum range value
        `max` - the maximum range value

    - #### setRange

          public void setRange(int min,
                               int max,
                               int step)

      Set the minimum and maximum values of the array task id range as well as the incremental step value. Values less than 1 will cause an IllegalArgumentException to be thrown, as will a maximum range value that is less than the minimum range value.
      Parameters:
        `min` - the minimum range value
        `max` - the maximum range value
        `step` - the step value

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          public TaskSpecifier clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`